Subject: Re: [PATCH] powerpc: disable MSI using new interface if possible

From: Joe Perches <[email-masked]>
Date: Wed, 09 Mar 2011 19:45:23 -0800

On Thu, 2011-03-10 at 14:35 +1100, Michael Ellerman wrote:
> On Wed, 2011-03-09 at 16:28 -0800, Joe Perches wrote:
> > On Thu, 2011-03-10 at 10:12 +1100, Michael Ellerman wrote:
> > > True my last patch may have been two years ago, but I _wrote the entire
> > > file_, and essentially no one else has ever touched it.
> > > > If you don't like how it currently works, suggest
> > > > improvements.
> > > I think I was suggesting that I should be in that list :)
> > $ ./scripts/get_maintainer.pl -f --git-blame arch/powerpc/platforms/pseries/msi.c
> > Benjamin Herrenschmidt <[email-masked]> (supporter:LINUX FOR POWERPC...,commits:8/11=73%)
> > Paul Mackerras <[email-masked]> (supporter:LINUX FOR POWERPC...,commits:4/11=36%)
> > Grant Likely <[email-masked]> (maintainer:OPEN FIRMWARE AND...)
> > Michael Ellerman <[email-masked]> (authored lines:481/481=100%,commits:11/11=100%)
> > Linas Vepstas <[email-masked]> (commits:1/11=9%)
> > [email-masked] (open list:LINUX FOR POWERPC...)
> > [email-masked] (open list)
> > [email-masked] (open list:OPEN FIRMWARE AND...)
> That's awesome. But it's not the default, so hardly anyone will ever use
> it :)

It's not the default for a few reasons:

o It can take a _long_ time to run
o Linus Torvalds is still the "author of record"
  for all the files in the initial commit
o For files with activity, it doesn't add very
  much useful as old commit authors do also tend
  to show up in the new commits.
o It can show maintainers that are no longer
  active.